Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007794TestLinkDatabase MySQLpublic2016-12-26 18:242017-01-22 08:08
Reporterevans 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformWebOSWindows SevenOS VersionX64
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007794: Critical error while editing a requirement.
DescriptionWhen you try to edit a requirement and after clicking OK, a critical database-related error occurs and does not save the edit to the database.
Steps To Reproduce1. Have a requirement created.
2. Click Edit.
3. Edit the requirement and click Save.
4. In the "Log review" popup, enter a description.
5. Click OK. (At this point the error occurs).
Additional Information ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
 ==============================================================================
#0 database->exec_query( /* Class:requirement_mgr - Method: create_new_revision */ UPDATE req_versions SET revision = 4, log_message=' ', creation_ts = '2016-12-26 16:22:11' ,author_id = 1, modifier_id = NULL, modification_ts = NULL WHERE id = 7 ) called at [C:\inetpub\wwwroot\testlink-1.9.15\lib\functions\requirement_mgr.class.php:2947]
#1 requirement_mgr->create_new_revision(7, 1, 2, Array ([id] => 6,[srs_id] => 4,[req_doc_id] => REQ,[scope] =>

    Este requisito tem como finalidade a validação do CPF que deve ter um numero x de caracteres e deve aceitar apens numeros.

,[status] => V,[type] => 3,[active] => 1,[is_open] => 1,[author_id] => 1,[version] => 1,[version_id] => 7,[expected_coverage] => 1,[creation_ts] => 2016-12-26 16:13:15,[modifier_id] => 1,[modification_ts] => 2016-12-26 16:21:57,[revision] => 1,[revision_id] => -1,[title] => Validar CPF,[testproject_id] => 2,[req_spec_title] => Especificação Funcional do Sistema,[req_spec_doc_id] => EFS,[node_order] => 1,[author] => admin,[modifier] => admin), ) called at [C:\inetpub\wwwroot\testlink-1.9.15\lib\functions\requirement_mgr.class.php:518]
0000002 requirement_mgr->update(6, 7, REQ, Validar CPF,

    Este requisito tem como finalidade a validação do CPF que deve ter um numero x de caracteres e deve aceitar apens numeros.

, 1, V, 3, 3, , , 0, 1, ) called at [C:\inetpub\wwwroot\testlink-1.9.15\lib\requirements\reqCommands.class.php:302]
0000003 reqCommands->doUpdate(stdClass Object ([requirement_id] => 6,[req_version_id] => 7,[req_spec_id] => 0,[req_title] => Validar CPF,[req_id_cbox] => ,[reqDocId] => REQ,[reqStatus] => V,[reqType] => 3,[containerID] => ,[scope] =>

    Este requisito tem como finalidade a validação do CPF que deve ter um numero x de caracteres e deve aceitar apens numeros.

,[countReq] => ,[expected_coverage] => 3,[doAction] => doUpdate,[itemSet] => ,[testcase_count] => ,[copy_testcase_assignment] => ,[relation_id] => ,[relation_source_req_id] => ,[relation_type] => ,[relation_destination_req_doc_id] => ,[relation_destination_testproject_id] => ,[save_rev] => 1,[do_save] => 1,[log_message] => ,[tcaseIdentity] => ,[file_id] => ,[fileTitle] => ,[req_id] => 6,[title] => Validar CPF,[arrReqIds] => ,[basehref] => http://localhost:8020/,[tproject_id] [^] => 2,[tproject_name] => CETIP,[tcasePrefix] => CT,[user_id] => 1,[refreshTree] => 1,[stay_here] => 0), Array ([CSRFName] => CSRFGuard_75190094,[CSRFToken] => 2d82be51b5e3fd4cee8829d0017fde27f1197fefaeab10f2b593d6c50754c20ed300b4aed6a3c4e28907ba3c3102140fc88e19703b5bb8050c7309e94054e688,[req_spec_id] => 0,[requirement_id] => 6,[req_version_id] => 7,[last_doc_id] => REQ,[save_rev] => 1,[log_message] => ,[goaway] => 1,[prompt4log] => 0,[do_save] => 1,[prompt4revision] => 0,[reqDocId] => REQ,[req_title] => Validar CPF,[scope] =>

    Este requisito tem como finalidade a validação do CPF que deve ter um numero x de caracteres e deve aceitar apens numeros.


,[reqStatus] => V,[reqType] => 3,[expected_coverage] => 3,[doAction] => doUpdate)) called at [C:\inetpub\wwwroot\testlink-1.9.15\lib\requirements\reqEdit.php:41]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserChrome, IE11, Firefox
PHP Version5.6.24
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon erro_testlink.png [^] (5,518 bytes) 2016-12-26 18:24


log file icon userlog0.log [^] (1,697 bytes) 2016-12-26 18:26
log file icon userlog1.log [^] (4,096 bytes) 2016-12-26 18:27

- Relationships

-  Notes
(0025799)
fman (administrator)
2016-12-27 08:22

Please get latest code from github, do fresh install, retest and provide feedback.
(0025803)
evans (reporter)
2016-12-27 11:15

Problem solved with commit 05162a3.
Thank you very much.
(0025903)
fman (administrator)
2017-01-22 08:08

1.9.16 released

- Issue History
Date Modified Username Field Change
2016-12-26 18:24 evans New Issue
2016-12-26 18:24 evans File Added: erro_testlink.png
2016-12-26 18:26 evans File Added: userlog0.log
2016-12-26 18:27 evans File Added: userlog1.log
2016-12-27 08:20 fman QA Team - Task Workflow Status => TBD
2016-12-27 08:20 fman Priority immediate => normal
2016-12-27 08:22 fman Note Added: 0025799
2016-12-27 08:22 fman Assigned To => fman
2016-12-27 08:22 fman Status new => feedback
2016-12-27 11:15 evans Note Added: 0025803
2016-12-27 11:15 evans Status feedback => assigned
2016-12-27 11:32 fman Status assigned => resolved
2016-12-27 11:32 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-12-27 11:32 fman Resolution open => fixed
2017-01-22 08:08 fman Note Added: 0025903
2017-01-22 08:08 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker